[Prev: INCLUDE] | [Resources][TOC] | [Next: LABELBEG]

# KEEPONRMM

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_KEEPONRMM=`[ `0` | `1` ]

Element

  `<KEEPONRMM>`
  `<NOKEEPONRMM>`

Command-line Option

  `-keeponrmm` `-nokeeponrmm`

## Description

If KEEPONRMM is set, message files will not be deleted from the file system when a message is removed from an archive. This option is useful if you are using a search engine to index archives and you still want old messages to be searchable but not part of the browsable indexes. This is a benefit for large archives that want to allow access to old messages but without taking the overhead of long archive updates.

The KEEPONRMM applies to messages removed via the RMM resource or by automatic deletions performed enforcing MAXSIZE, EXPIREAGE, and EXPIREDATE,

NOTE | KEEPONRMM resource is stored in the database file. Therefore, when set on an archive update, or creation, message files will not be physically deleted for all future archive message removals until KEEPONRMM is explicitly disabled.

## Default Setting

Off.

## Resource Variables

N/A

## Examples

None.

## Version

2.4.8

## See Also

EXPIREAGE, EXPIREDATE, MAXSIZE, RMM

[Prev: INCLUDE] | [Resources][TOC] | [Next: LABELBEG]